UMOUNT(8)

NAMN
umount - avmontera filsystem

SYNOPSIS

umount -a [-dflnrv] [-t fstype] [-O option...]

umount [-dflnrv] {katalog|enhet}

umount -h|-V

BESKRIVNING

Kommandot umount tar bort det eller de filsystem som anges från filhierarkin. Ett filsystem specificeras genom att ange den katalog där det har monterats. Att ange den speciella enhet som filsystemet finns på kan också fungera, men är föråldrat, främst eftersom det kommer att misslyckas om denna enhet var monterad på mer än en katalog.

Observera att ett filsystem inte kan avmonteras när det är "upptaget" - t.ex. när det finns öppna filer på det, eller när någon process har sin arbetskatalog där, eller när en växlingsfil på det används. Den felande processen kan till och med vara umount själv - den öppnar libc, och libc kan i sin tur öppna t.ex. locale-filer. En lazy unmount undviker detta problem, men det kan medföra andra problem. Se --lazy-beskrivningen nedan.

FLAGGOR

-a, --all
    Alla filsystem som beskrivs i /proc/self/mountinfo (eller i föråldrade /etc/mtab) avmonteras, utom filsystemen proc, devfs, devpts, sysfs, rpc_pipefs och nfsd. Denna lista över filsystem kan ersättas med flaggan --types umount.

-A, --all-targets
    Avmontera alla mountpoints i det aktuella mount-namnrymden för det angivna filsystemet. Filsystemet kan anges med en av monteringspunkterna eller enhetsnamnet (eller UUID, etc.). När den här flaggan används tillsammans med --recursive avmonteras alla nästlade monteringar inom filsystemet rekursivt. Den här flaggan stöds endast på system där /etc/mtab är en symbolisk länk till /proc/mounts.

-c, --no-canonicalize
    Kanonisera inte sökvägar. Kanoniseringen av sökvägar baseras på systemanropen stat(2) och readlink(2). Dessa systemanrop kan hänga sig i vissa fall (t.ex. på NFS om servern inte är tillgänglig). Flaggan måste användas med en kanonisk sökväg till monteringspunkten.

    Denna flagga ignoreras i tysthet av umount för användare som inte är root.

    Mer information om den här flaggan finns i manuskriptet mount(8). Observera att umount inte skickar den här flaggan till hjälpprogrammen /sbin/umount.typ.

-d, --detach-loop
    Om den omonterade enheten var en loop-enhet, frigör även denna loop-enhet. Denna flagga är inte nödvändig för enheter som initieras med mount(8), i detta fall är "autoclear"-funktionen aktiverad som standard.

--fake
    Gör att allt görs utom det faktiska systemanropet eller umount-hjälpen; detta "fejkar" avmontering av filsystemet. Det kan användas för att ta bort poster från den föråldrade /etc/mtab som tidigare avmonterats med flaggan -n.

-f, --force
    Tvinga fram en avmontering (i händelse av ett oåtkomligt NFS-system).

    Observera att denna flagga inte garanterar att umount-kommandot inte hänger sig. Det rekommenderas starkt att använda absoluta sökvägar utan symlinks för att undvika oönskade readlink(2) och stat(2) systemanrop på oåtkomlig NFS i umount.

-i, --internal-only
    Anropa inte hjälpprogrammet /sbin/umount.filsystem även om det finns. Som standard anropas ett sådant hjälpprogram om det finns.

-l, --lazy
    Lat avmontering. Ta bort filsystemet från filhierarkin nu och rensa bort alla referenser till detta filsystem så snart det inte längre är upptaget.

    En omstart av systemet kan förväntas inom en snar framtid om du ska använda den här flaggan för nätverksfilsystem eller lokala filsystem med undermonteringar. Det rekommenderade användningsfallet för umount -l är att förhindra att det hänger sig vid avstängning på grund av en oåtkomlig nätverksdelning där en normal umount kommer att hänga sig på grund av en nedstängd server eller en nätverkspartition. Det kommer inte att vara möjligt att göra nya inläsningar av delningen.

-N, --namespace ns
    Utför umount i det mount-namnområde som anges av ns. ns är antingen PID för en process som körs i det namnområdet eller en speciell fil som representerar det namnområdet.

    umount byter till namnrymden när den läser /etc/fstab, skriver /etc/mtab (eller skriver till /run/mount) och anropar systemanropet umount(2), annars körs den i den ursprungliga namnrymden. Det innebär att namnrymden för målmonteringen inte behöver innehålla några bibliotek eller andra krav som är nödvändiga för att utföra kommandot umount(2).

    Se mount_namespaces(7) för mer information.

-n, --no-mtab
    Avmontera utan att skriva i /etc/mtab.

-O, --test-opts option...
    Avmontera endast de filsystem som har den angivna flaggan inställd i /etc/fstab. Fler än en flagga kan anges i en kommaseparerad lista. Varje flagga kan inledas med no för att ange att ingen åtgärd ska vidtas för denna flagga.

-q, --quiet
    Undertrycker felmeddelanden om "ej monterad".

-R, --recursive
    Avmontera varje angiven katalog rekursivt. Rekursionen för varje katalog stoppas om någon avmonteringsoperation i kedjan misslyckas av någon anledning. Relationen mellan monteringspunkterna bestäms av posterna /proc/self/mountinfo. Filsystemet måste anges med monteringspunktens sökväg; en rekursiv avmontering med enhetsnamn (eller UUID) stöds inte. Sedan version 2.37 avmonteras även alla övermonterade filsystem (fler filsystem på samma monteringspunkt).

-r, --read-only
    När en avmontering misslyckas, försök att återmontera filsystemet skrivskyddat.

-t, --types typ...
    Anger att åtgärderna endast ska vidtas på filsystem av den angivna typen. Mer än en typ kan anges i en kommaseparerad lista. Listan med filsystemtyper kan inledas med no för att ange att ingen åtgärd ska vidtas för alla de angivna typerna. Observera att umount läser information om monterade filsystem från kärnan (/proc/mounts) och att filsystemnamn kan skilja sig från filsystemnamn som används i /etc/fstab (t.ex. "nfs4" jämfört med "nfs").

-v, --verbose
    Utförligt läge.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UMOUNTS FÖR ICKE-SUPERANVÄNDARE

Normalt är det bara superanvändaren som kan umounta filsystem. Men när fstab innehåller flaggan user på en rad kan vem som helst umounta motsvarande filsystem. För mer information, se manualsidan mount(8).

Sedan version 2.34 kan kommandot umount användas för att utföra umount-operation även för fuse-filsystem om kernel mount-tabellen innehåller användarens ID. I det här fallet krävs inte monteringsflaggan fstab user=.

Sedan version 2.35 avslutas inte kommandot umount när användarrättigheterna är otillräckliga enligt de interna säkerhetsreglerna för libmount. Det släpper suid-behörigheterna och fortsätter som vanlig användare utan root-behörighet. Detta kan användas för att stödja användningsfall där root-behörigheter inte är nödvändiga (t.ex. fuse-filsystem, användarnamnområden etc.).

LOOP-ENHET

Kommandot umount kommer automatiskt att koppla bort loop-enheter som tidigare initierats med kommandot mount(8) oberoende av /etc/mtab.

I det här fallet initieras enheten med flaggan "autoclear" (se losetup(8) för mer information), annars måste du använda flaggan --detach-loop eller anropa losetup -d enhet. Funktionen autoclear stöds sedan Linux 2.6.25.

Observera att sedan Linux v3.7 använder kärnan "lazy device destruction". Systemet markerar bara loop-enheten med autoclear-flaggan och förstör den senare. Om du behöver vänta på att loopenheten ska tas bort helt och hållet, anropar du udevadm settle efter umount.

AVSLUTSSTATUS

umount har följande värden för utgångsstatus (bitarna kan vara ORed):

0
    lyckades

1
    felaktigt anrop eller felaktiga behörigheter

2
    systemfel (slut på minne, kan inte förgrena sig, inga fler loop-enheter)

4
    intern mount-bugg

8
    användaravbrott

16
    problem med att skriva eller låsa /etc/mtab

32
    monteringsfel

64
    vissa umount lyckades

    Kommandot umount -a returnerar 0 (alla lyckades), 32 (alla misslyckades) eller 64 (några misslyckades, några lyckades).

126
    misslyckades med att köra extern /sbin/umount.<type> mount helper (sedan util-linux v2.41)

EXTERNA HJÄLPARE

Syntaxen för externa avmonteringshjälpmedel är:

    umount.suffix {katalog|enhet} [-flnrv] [-N namnrymd] [-t typ.subtype]

där suffix är filsystemets typ (eller värdet från en uhelper=- eller helper=-markör i mtab-filen). Flaggan -t kan användas för filsystem som har stöd för subtyper. Till exempel: -t:

    umount.fuse -t fuse.sshfs

En uhelper=något-markör (unprivileged helper) kan förekomma i filen /etc/mtab när vanliga användare behöver kunna avmontera en monteringspunkt som inte är definierad i /etc/fstab (till exempel för en enhet som monterades av udisks(1)).

En helper=typ-markör i filen mtab kommer att omdirigera alla avmonteringsbegäranden till hjälpen /sbin/umount.typ oberoende av UID.

Observera att /etc/mtab för närvarande är föråldrad och att helper= och andra monteringsflaggor i användarutrymmet hanteras av libmount.

The exit status value of the helper is returned as the exit status of umount(8). The value 126 is used if the mount helper program is found, but the execl(3) failed.

MILJÖ

LIBMOUNT_FSTAB= LIBMOUNT_FSTAB<path>
    åsidosätter standardplatsen för fstab-filen (ignoreras för suid)

LIBMOUNT_DEBUG=all
    aktiverar libmount felsökningsutmatning

FILER

/etc/mtab
    tabell över monterade filsystem (föråldrad och ersätts vanligtvis av symlänk till /proc/mounts)

/etc/fstab
    tabell över kända filsystem

_/proc/self/mountinfo
    tabell över monterade filsystem som genereras av kärnan.

HISTORIK

Ett umount-kommando dök upp i version 6 av AT&T UNIX.

SE ÄVEN

umount(2), losetup(8), mount_namespaces(7), mount(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot umount ingår i paketet util-linux som kan hämtas från